jpeg-xl (0.11.2-5.1ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Disable PPC10 target and force P9-compatible
      linker stubs to support gcc-15

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Aug 2026 14:56:45 +0200

jpeg-xl (0.11.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2025-70103: Buffer overflow in PNM decoder
    (Closes: #1138575)
  * CVE-2026-52584: Buffer overflow in APNG decoder
    (Closes: #1142476)
  * Backport upstream fix for FTBFS on x32.

 -- Adrian Bunk <bunk@debian.org>  Thu, 13 Aug 2026 16:09:49 +0300

jpeg-xl (0.11.2-5ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable (LP: #2153309). Remaining changes:
    - d/p/CVE-2025-70103.patch: Take EC into account when checking
      required PNM input length (CVE-2025-70103)
  * Drop changes:
    - debian/patches/CVE-2026-1837.patch: Fix allocated buffer lengths in
      lib/jxl/render_pipeline/stage_cms.cc.
    - debian/patches/spline_test.patch: disable to fix FTBFS. The newer
      libjxl-testdata package that caused this patch to be necessary never
      made it out of resolute-proposed during the dev cycle.
    - Use gcc-14 to avoid miscompilation on ppc64el (LP #2121375)
  * New Changes:
    - d/rules: Disable PPC10 target and force P9-compatible
      linker stubs to support gcc-15

 -- Finn Rayk Gartner <finn.gartner@canonical.com>  Tue, 07 Jul 2026 00:29:35 +0200

jpeg-xl (0.11.2-5) unstable; urgency=medium

  * Team upload.
  * d/rules: add benchmark_xl_manpage target to full Closes: #1136633

 -- xiao sheng wen <atzlinux@debian.org>  Tue, 26 May 2026 11:19:04 +0800

jpeg-xl (0.11.2-4) unstable; urgency=medium

  * Team upload.
  * add --quiet option in help2man to prevent the instruction information from
    appearing in the help text, Closes: #1136633

 -- xiao sheng wen <atzlinux@debian.org>  Sun, 24 May 2026 16:32:22 +0800

jpeg-xl (0.11.2-3) unstable; urgency=medium

  * Team upload.
  * upload to sid
  * d/rules: just use the file from the installed path to get [cd]jxl.1,
    don't use $(DEB_TARGET_MULTIARCH), it's arch-specific path,
    to fix i386 build

 -- xiao sheng wen <atzlinux@debian.org>  Wed, 13 May 2026 15:30:01 +0800

jpeg-xl (0.11.2-3~exp1) experimental; urgency=medium

  * Team upload.
  * d/rules:
      - remove override_dh_installman-arch execute_before_dh_installman target,
        add execute_before_dh_installman-arch target,
        fix FTBFS on jpeg-xl-doc package
      - remove override_dh_clean-arch target, move it's files to d/clean
      - use $(DEB_TARGET_MULTIARCH) to fix i386 build

 -- xiao sheng wen <atzlinux@debian.org>  Wed, 13 May 2026 12:08:04 +0800

jpeg-xl (0.11.2-2) unstable; urgency=medium

  * Team upload.
  * Closes: #1136191 libjxl-tools: Unknown argument: --jpeg_store_metadata
     - delete patches/manpages.patch
     - d/rule: add execute_before_dh_installman target
     - add d/man/cjxl.1.mid d/man/djxl.1.mid
     - update d/libjxl-tools.manpages
  * d/watch: update to Version: 5
  * d/rules:
      - delete get-orig-source target
      - remove .PHONY line
  * delete d/p/extras_codec_symbols.patch, useless
  * d/p/series: delete annotated #bigendian.patch line
  * d/p/0001-Fix-test-on-loong64-4654.patch: fix typo
  * binary Package: libjpegxl-java add support loong64
  * add debian/clean

 -- xiao sheng wen <atzlinux@debian.org>  Tue, 12 May 2026 15:39:27 +0800

jpeg-xl (0.11.2-1) unstable; urgency=medium

  * Team upload.
  * d/copyright: update year info to 2026
  * d/t/run-unit-test: drop splines.pfm test,
    this file is not exist in libjxl-testdata package now, Closes: #1129972
  * Bump Standards-Version: 4.7.4
  * d/control:
      - add Multi-Arch: same for Package: libjpegxl-java
      - remove redundant-priority-optional-field
      - remove redundant-rules-requires-root-no-field

 -- xiao sheng wen <atzlinux@debian.org>  Wed, 15 Apr 2026 10:37:57 +0800

jpeg-xl (0.11.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - CVE-2025-12474: Decoder read from uninitialized (but allocated)
      memory (Closes: #1128068)
    - CVE-2026-1837: Decoder write to uninitialized unallocated memory
      (Closes: #1128067)
  * Disable a failing test. (Closes: #1123400)
  * Increase the test timeout. (Closes: #1114914)
  * Backport a loong64 FTBFS fix.

 -- Adrian Bunk <bunk@debian.org>  Thu, 19 Mar 2026 13:38:01 +0200

jpeg-xl (0.11.1-6ubuntu5) stonking; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow via crafted PBM images
    - debian/patches/CVE-2025-70103.patch: Take EC into accound when checking
      required PNM inmput length in lib/extras/dec/pnm.cc.
    - CVE-2025-70103

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sun, 31 May 2026 12:49:29 -0400

jpeg-xl (0.11.1-6ubuntu4) resolute; urgency=medium

  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2026-1837.patch: Fix allocated buffer lengths in
      lib/jxl/render_pipeline/stage_cms.cc.
    - CVE-2026-1837

 -- Edwin Jiang <edwin.jiang@canonical.com>  Tue, 31 Mar 2026 15:39:05 -0400

jpeg-xl (0.11.1-6ubuntu3) resolute; urgency=medium

  * d/p/split_test.patch: cherry-pick test changes
    from upstream commit to resolve ftbfs (LP: #2143552).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 11 Mar 2026 08:54:55 +1300

jpeg-xl (0.11.1-6ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:28:44 +0100

jpeg-xl (0.11.1-6ubuntu1) questing; urgency=medium

  * Use gcc-14 to avoid miscompilation on ppc64el (LP: #2121375)

 -- Hector Cao <hector.cao@canonical.com>  Mon, 06 Oct 2025 11:45:10 +0200

jpeg-xl (0.11.1-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Depend on a native JDK (Closes: #1110508)
  * Fix the nojava build profile

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 18:05:50 -0400

jpeg-xl (0.11.1-5) unstable; urgency=medium

  * Cherry-pick patch to fix big-endian build
  * Remove obsolete bigendian patch
  * Stop using gcc-13 for big endian architectures (Closes: #1092659, #1110520)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 15:24:02 -0400

jpeg-xl (0.11.1-4) unstable; urgency=medium

  * Team upload

  [ Sean McGovern ]
  * d/{control,rules}: use gcc-13 on powerpc and ppc64

  [ Jeremy Bícha ]
  * Use gcc-13 for hppa & sparc64 also (Closes: #1100753)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Mar 2025 13:49:07 -0400

jpeg-xl (0.11.1-3) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Mar 2025 08:17:40 -0400

jpeg-xl (0.11.1-2) experimental; urgency=medium

  * Team upload
  * Remove arbitrary timeout from dh_auto_test (Closes: #1091692)
  * Stop forcing LTO on Debian. Mitigates: #1099885
  * debian/libjxl0.11.symbols: Add symbols only seen when building without LTO

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 18:07:36 -0400

jpeg-xl (0.11.1-1) experimental; urgency=medium

  * New upstream version 0.11.1
  * d/patches: Refresh patches for new release
  * d/rules: Handle gcc-13 arches
  * d/rules: Add new icc_simplify tool
  * d/control: Migrate to SOVERSION 0.11

 -- Mathieu Malaterre <malat@debian.org>  Thu, 06 Feb 2025 18:43:10 +0100

jpeg-xl (0.10.4-2) unstable; urgency=medium

  * Team upload
  * Extend dh_auto_test timeout to avoid build failures on riscv64
    (Closes: #1077336)
  * Release to unstable (Closes: #1088818)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Dec 2024 11:28:50 -0500

jpeg-xl (0.10.4-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release (Closes: #1077336)
    - CVE-2024-11403 Huffman lookup table size fix
    - CVE-2024-11498 Check height limit in modular trees

  [ Gianfranco Costamagna ]
  * Force gcc-13 on s390x because testsuite hangs with gcc-14

  [ Jeremy Bícha ]
  * Use gcc-13 on riscv64 too

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Dec 2024 18:46:59 -0500

jpeg-xl (0.10.3-5) experimental; urgency=medium

  * d/patches: Remove libjpegli-tools

 -- Mathieu Malaterre <malat@debian.org>  Fri, 27 Sep 2024 16:13:29 +0200

jpeg-xl (0.10.3-4) experimental; urgency=medium

  * d/tests: Remove a portion of the unit test. Closes: #1076699

 -- Mathieu Malaterre <malat@debian.org>  Tue, 23 Jul 2024 11:27:05 +0200

jpeg-xl (0.10.3-3) experimental; urgency=medium

  * d/patches: Make sure to find package HWY

 -- Mathieu Malaterre <malat@debian.org>  Sun, 21 Jul 2024 12:47:40 +0200

jpeg-xl (0.10.3-2) experimental; urgency=medium

  * d/rules Remove legacy comment
  * d/patches: Update big endian patch
  * d/patches: Add libjpegli-tools

 -- Mathieu Malaterre <malat@debian.org>  Sat, 20 Jul 2024 17:09:30 +0200

jpeg-xl (0.10.3-1) experimental; urgency=medium

  * New upstream version 0.10.3
  * d/patches: Refresh patches for new release
  * d/symbols: Migrate to new ABI
  * d/patches: Prepare patch for upstream

 -- Mathieu Malaterre <malat@debian.org>  Sat, 06 Jul 2024 11:07:28 +0200

jpeg-xl (0.9.2-10) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Disable OpenEXR support on Ubuntu
  * Enable all hardening flags
  * Bump debhelper compat to 13
  * Set Build-Depends-Package
  * Strip trailing whitespace

  [ Mathieu Malaterre ]
  * d/rules: Add missing dev tools

  [ Jeremy Bícha ]
  * d/t/control: Re-add big-endian arches. Closes: #1074530

  [ Mathieu Malaterre ]
  * d/control: Provide a nojava profile. Closes: #1067757

 -- Mathieu Malaterre <malat@debian.org>  Fri, 05 Jul 2024 13:00:33 +0200

jpeg-xl (0.9.2-9) unstable; urgency=medium

  * Upload to unstable
  * d/control: Bump Std-Vers to 4.7.0 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 26 Jun 2024 15:37:07 +0200

jpeg-xl (0.9.2-8) experimental; urgency=medium

  [ Mathieu Malaterre ]
  * d/rules: Increase timeout for armel

  [ Julian Wollrath ]
  * Remove libjxl-gdk-pixbuf.postinst/rm. Closes: #1072963

 -- Mathieu Malaterre <malat@debian.org>  Wed, 12 Jun 2024 21:07:47 +0200

jpeg-xl (0.9.2-7) experimental; urgency=medium

  [ Jeremy Bícha ]
  * d/rules: Opt into LTO. Closes: #1072943

  [ Gianfranco Costamagna ]
  * d/symbols: Restore arch independent symbols file

  [ Jeremy Bícha ]
  * d/control: Disable tcmalloc on i386
    google-perftools isn't available there on Ubuntu

  [ Mathieu Malaterre ]
  * d/rules: Remove gcc-12/armhf workaround

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Jun 2024 08:12:59 +0200

jpeg-xl (0.9.2-6) experimental; urgency=medium

  * d/t/run-unit-test: Adapt test suite. Closes: #1072835

 -- Mathieu Malaterre <malat@debian.org>  Mon, 10 Jun 2024 12:33:42 +0200

jpeg-xl (0.9.2-5) experimental; urgency=medium

  * d/patches: Another pass for be unit tests

 -- Mathieu Malaterre <malat@debian.org>  Fri, 07 Jun 2024 16:27:41 +0200

jpeg-xl (0.9.2-4) experimental; urgency=medium

  * d/patches: Really remove all failing tests on be

 -- Mathieu Malaterre <malat@debian.org>  Fri, 07 Jun 2024 15:00:10 +0200

jpeg-xl (0.9.2-3) experimental; urgency=medium

  * d/patches: Disable tests failing on big-endian

 -- Mathieu Malaterre <malat@debian.org>  Fri, 07 Jun 2024 11:57:42 +0200

jpeg-xl (0.9.2-2) experimental; urgency=medium

  [ Julian Wollrath ]
  * d/rules: Build gdk-pixbuf plugin. Closes: #1001786
  * d/postrm: Fix gdk-pixbuf-query-loaders: not found. Closes: #1039460

  [ Mathieu Malaterre ]
  * d/t/control: Remove big-endian arches for now
  * d/rules: Increase timeout to 6h
  * d/*.post*: Add -e to fix lintian maintainer-script-ignores-errors
  * d/rules: Prefer CMAKE_BUILD_RPATH_USE_ORIGIN=OFF for now
  * d/control: Requires latest data for unit tests
  * d/control: Fix build-depends-on-obsolete-package

 -- Mathieu Malaterre <malat@debian.org>  Tue, 04 Jun 2024 12:15:23 +0200

jpeg-xl (0.9.2-1) experimental; urgency=medium

  * New upstream version 0.9.2
  * d/patches: Refresh patches for new upstream
  * d/symbols: Rename symbol file to new SONAME
  * d/rules: Rename fuzzer_corpus to djxl_fuzzer_corpus
  * d/install: Remove command line tool cjpeg_hdr
  * d/symbols: Try to mitigate ABI upstream mess

 -- Mathieu Malaterre <malat@debian.org>  Mon, 03 Jun 2024 12:56:05 +0200

jpeg-xl (0.8.2-4) unstable; urgency=medium

  * Upload 0.8.2-4 to unstable. Closes: #1053866

 -- Mathieu Malaterre <malat@debian.org>  Fri, 31 May 2024 12:13:58 +0200

jpeg-xl (0.8.2-3) experimental; urgency=medium

  * d/t/run-unit-test: Adapt test suite to change of behavior

 -- Mathieu Malaterre <malat@debian.org>  Wed, 22 May 2024 08:02:09 +0200

jpeg-xl (0.8.2-2) experimental; urgency=medium

  * d/patches: Fix failing auto-test. Closes: #1061627

 -- Mathieu Malaterre <malat@debian.org>  Tue, 21 May 2024 15:35:24 +0200

jpeg-xl (0.8.2-1) experimental; urgency=medium

  * New upstream version 0.8.2
    * Fixes CVE-2023-0645 / CVE-2023-35790. Closes: #1034722
  * d/patches: Remove failing tests on BE arches. Closes: #1029698

 -- Mathieu Malaterre <malat@debian.org>  Wed, 11 Oct 2023 09:12:56 +0200

jpeg-xl (0.8.1-2) experimental; urgency=medium

  * d/patches: Import LCMS2 fixes from git/main branch
  * d/patches: Fix compilation on riscv64

 -- Mathieu Malaterre <malat@debian.org>  Tue, 10 Oct 2023 11:45:35 +0200

jpeg-xl (0.8.1-1) experimental; urgency=medium

  * d/rules: Increase timeout for mips64el
  * d/control: Cleanup archectures list
  * New upstream version 0.8.1

 -- Mathieu Malaterre <malat@debian.org>  Tue, 10 Oct 2023 09:42:19 +0200

jpeg-xl (0.8.0-1) experimental; urgency=medium

  * d/patches: Transition to hwy config cmake files
  * New upstream version 0.8.0
  * d/patches: Refresh patches
  * d/control: Bump to 0.8 SONAME
  * d/symbols: Update symbols

 -- Mathieu Malaterre <malat@debian.org>  Mon, 09 Oct 2023 14:03:34 +0200

jpeg-xl (0.7.0-10.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Boyuan Yang ]
  * debian/rules: Temporarily enable CXXFLAGS -fexcess-precision=fast
    to avoid test failure for i386, s390x. Patch suggested by Adrian Bunk.
    (See #1053641)
  * debian/patches/:
    + 0009-fast_dct-inl.h-Include-std-headers-to-solve-missing-.patch:
      Add missing headers to avoid FTBFS on arm64 for std::round().

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Oct 2023 20:36:24 -0400

jpeg-xl (0.7.0-10.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Boyuan Yang ]
  * debian/patches/:
    + 0007-tools-CMakeLists.txt-Fix-compatibility-with-static-l.patch:
      Fix compatibility with libwebp 1.3.x. (Closes: #1052486)
    * 0008-Fix-conformance-test.patch: Fix unit test that was previously
      skipped but now failing. (Closes: #1051560)
  * debian/control: Require libwebp-dev (>= 1.3) due to patch 0007.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Sep 2023 12:52:43 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog jpeg-xl-doc`.
